---
stages:
  - docker
  - docker_tag


build-image-tag:
  stage: docker_tag
  only:
    refs:
      - tags
  tags:
    - docker-image-build
  script: "true"

  variables:
    DOCKER_FILE: Dockerfile
    TO: ${CI_REGISTRY_IMAGE}:${CI_COMMIT_TAG}

build-image-prod:
  stage: docker
  when: manual
  only:
    refs:
      - master
  tags:
    - docker-image-build
  script: "true"

  variables:
    DOCKER_FILE: Dockerfile
    TO: ${CI_REGISTRY_IMAGE}:latest
